# std::__niter_base< _Iterator, _IsNormal > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Iterator, bool _IsNormal = __is_normal_iterator<_Iterator>::__value>
struct std::__niter_base< _Iterator, _IsNormal >

Definition at line 265 of file stl_algobase.h.

## Static Public Member Functions

- static _Iterator __b (_Iterator __it)

The documentation for this struct was generated from the following file:

- stl_algobase.h